Не могу установить софт через yum :(((

Аватар пользователя denismy

Привет, всем! помогите разобраться со следующей проблемой:
установил ASPLinux 14 Cobalt, сразу же обновил систему и список программ
теперь если я хочу установить какую-нить программу, запустив программу "Дополнение к yum", то возникают вот такие ошибки:

17:30:01 : Начальная настройка Yum
17:30:01 : Loaded plugins: refresh-packagekit
17:30:01 : Setup signed metadata support
17:30:01 : Yum Version : 3.2.20
17:30:01 : Настройка графического интерфейса закончена
17:30:01 : Начальная установка Yum : Набор транзакции
17:30:01 : Ошибка при получении http://download.asplinux.ru/i386/updates/14/i386/repodata/repomd.xml:
17:30:01 : --> [Errno 4] IOError:
17:30:01 : Trying other mirror.
17:30:01 : Ошибка при получении http://download.asplinux.ru/i386/RPMS.14/repodata/repomd.xml:
17:30:01 : --> [Errno 4] IOError:
17:30:01 : Trying other mirror.
17:30:01 : Начальная установка Yum: БД RPM.
17:30:01 : Начальная установка Yum: Хранилища.
17:30:01 : Начальная установка Yum : Список пакетов
17:30:01 : Начальная установка Yum: Обновления
17:30:03 : Начальная установка Yum: Группы
17:30:03 : Начальная установка Yum: Базовая установка завершена
17:30:03 : Построение списков пакетов
17:30:05 : Построение списков пакетов завершено
17:30:05 : Построение списка групп
17:30:06 : Построение списков групп завершено
17:30:06 : Getting update packages
17:30:06 : Found 0 update packages
17:30:06 : Сортировка пакетов
17:30:06 : Заполнение списка пакетами
17:30:06 : Заполнение закончено

Если использовать "Администрирование -> Установка и удаление программ", то при загрузке пакетов выскакивает сообщение "Не удалось загрузить пакет" (дополнительно: Errors were encountered while downloading packages.psi-0.12-1.0.140asp.i386: failure: psi-0.12-1.0.140asp.i386.rpm)

Через терминал, тоже самое... С инетом все впорядке, через браузер захожу на http://download.asplinux.ru/i386/updates/14/i386/ кликаю по нужному пакету, указываю "открыть с помощью - Установка пакетов", пакет скачивается и без проблем устанавливается.
Комп подключен к инету через прокси (если это важно)
В линуксе 3-й день, так что прошу расписывать поподробней Улыбка))

Аватар пользователя 2be

Re: не могу установить софт через ...

было подобное на ServerIV...для начала попробуй обновить сам YUM(с FTP \ HTTP asplinux).там несколько пакетов надо скачать обрати внимание на зависимости(Pyton исчо)...все зависимые модули тоже придется найти и установить...
после обновления YUM он заработал. Эт конечно при условии, что с инетом проблем нет.

Аватар пользователя monolit27

Re: не могу установить софт через ...

та же проблема:
asplinux14
в yum.conf прописана прокси http://proxy:port
авторизация на прокси по IP/Mac
репозиторий только один с baseurl=http://download.asplinux.ru/i386/updates/14/i386/
эта ошибка кстати началась после полного обновления всех пакетов yum, до обновления yum update успешно выполнял поиск пакетов готовых к обновлению установливал из терминала при указании нужной rpm-ки, через Yum Extender не обновлялось писало Error256.
в инет выхожу хорошо через браузеры.

2be говорит что надо обновить yum что и было сделано и все сопутсвующие пакеты. но обновится я не могу.
Ошибка
Cannot retrieve repository metadata (repomd.xml) for repository: asplinux. Please verify its path and try again
Yum Extender 2.0.5
16:08:04 : Начальная настройка Yum
16:08:05 : Loaded plugins: fastestmirror, fedorakmod, kernel-module, post-transaction-
: actions, priorities, protectbase, refresh-packagekit, refresh-
: updatesd, remove-with-leaves, rpm-warm-cache, upgrade-helper,
: versionlock
16:08:05 : Setup signed metadata support
16:08:05 : Yum Version : 3.2.21
16:08:05 : Настройка графического интерфейса закончена
16:08:05 : Начальная установка Yum : Набор транзакции
16:08:05 : Loading mirror speeds from cached hostfile
16:08:05 : Ошибка при получении http://download.asplinux.ru/i386/updates/14/i386/repodata/repomd.xml:
16:08:05 : --> [Errno 4] IOError:
16:08:05 : Trying other mirror.
16:13:06 : Cannot retrieve repository metadata (repomd.xml) for repository: asplinux. Please verify its path and try again

Извините если что не так. Раскажите плиз поподробнее!
Спасибо!
и еще правильно ли я указываю в Yum Extender проски таким образом proxy:port и нет ли там еще каких то дополнительных настроек
Спасибо!

Аватар пользователя Телепат_

Re: не могу установить софт через ...

Цитата:
2be говорит что надо обновить yum что и было сделано и все сопутсвующие пакеты. но обновится я не могу.

А скачать rpm и обновить руками не судьба?

Цитата:
и еще правильно ли я указываю в Yum Extender

Нет в АСП14 Yum Extender
далее: забейте на всякие экстендеры и packagekit'ы и обновлятесь через yum.

Далее, сделайте, что рекомендуют:

Цитата:
Please verify its path and try again
Аватар пользователя monolit27

Re: не могу установить софт через ...

спасибо! очень весомый ответ!)
цитата:"А скачать rpm и обновить руками не судьба?" Вот именно что это и было сделано. После этого то и начало не работать обновление в терменале, после этого то и началась ошибка которую я приводил выше! До обновления в терменале обновлялось пакетами отдельными а не все вместе, но хотелось запустить через extender вот для чего было проделано обновление отдельными пакетами "руцямы" yum-a. Говорите проверить путь да вроди все проверил, baseurl я выше приводил, что нетак? не пойму думаю может где то настройки прокси пропустил, где их надо смотреть для yum кроме как yum.conf ((
спасибо! может еще какие то идеи есть.

Аватар пользователя Телепат_

Re: не могу установить софт через ...

monolit27 писал(а):
что нетак? не пойму думаю может где то настройки прокси пропустил, где их надо смотреть для yum кроме как yum.conf ((

yum conf Ни при чем
Настройки репозитария в yum.conf.d Почитайте man yum. там настройки репои\зитариев уже давно прописываются.
Кроме того, неплохо было бы скачать
Если у вас установились yum'ы от федоры, то репозитариточно надо перенастраивать, заменив `uname -r` на "9"

Аватар пользователя tuman50

Re: не могу установить софт через ...

Фрагмент yum.conf:
obsoletes=1
gpgcheck=1
plugins=1
installonly_limit=3

proxy=http://127.0.0.1:3128/ # обязательно в конце слэш:/
proxy_username=itcorp.it.ru\username
proxy_password=password

В Yum Ext. Правка Параметры прописать свой прокси: прокси:порт
вроде работает,но беда не работает почта...

Аватар пользователя tuman50

Re: не могу установить софт через ...

Фрагмент yum.conf:
obsoletes=1
gpgcheck=1
plugins=1
installonly_limit=3

proxy=http://127.0.0.1:3128/ # обязательно в конце слэш:/
proxy_username=itcorp.it.ru\username
proxy_password=password

В Yum Ext. Правка Параметры прописать свой прокси: прокси:порт
вроде работает,но беда не работает почта...

Аватар пользователя SergeyEkb

Re: не могу установить софт через ...

такая же проблема. Вставил установочный компакт-диск и все заработало.

RSS-материал